import React from 'react';
import { fillMountPoint } from './mount-point';
export declare const LOAD_EVENT = "_DOM_LOADED_";
export type Assets = Partial<{
    /** page title */
    title: string;
    /** js files to load */
    js: string[];
    /** css files to load */
    css: string[];
    /** raw css styles */
    style: string[];
    /** raw data to be stored in the dom. Use Html.popAssets to retrieve it from the dom */
    json: Record<string, string>;
}>;
export interface HtmlProps extends React.HtmlHTMLAttributes<HTMLHtmlElement> {
    withDevTools?: boolean;
    fullHeight?: boolean;
    assets?: Assets;
    ssr?: boolean;
    notifyParentOnLoad?: boolean;
}
/** html template for the main UI, when ssr is active */
export declare function Html({ assets, withDevTools, fullHeight, ssr, children, notifyParentOnLoad, ...rest }: HtmlProps): React.JSX.Element;
export declare namespace Html {
    var fillContent: typeof fillMountPoint;
    var popAssets: typeof import("./stored-assets").popAssets;
}
export declare function ssrCleanup(): void;
